Bug 312274 - kate bad parse syntax color bash scripts
Summary: kate bad parse syntax color bash scripts
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: syntax (show other bugs)
Version: unspecified
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-27 19:38 UTC by Gustavo Alvarez
Modified: 2012-12-28 14:42 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gustavo Alvarez 2012-12-27 19:38:46 UTC
kate fail parse bash script (colors)

example

#!/bin/bash
wei="$(eseee |sed '|nana|ele|')"
nanana="$(fakaka)"

result:
http://wstaw.org/m/2012/12/23/plasma-desktopro2223.png

if add one " in final "wei" sintax fix colours

http://wstaw.org/m/2012/12/23/plasma-desktopOM2223.png

i suposse occur when parse " or '  character into $( ) funtion

without ' or " into "$ ( )"

http://wstaw.org/m/2012/12/23/plasma-desktopbL2223.png

greetings

Reproducible: Always

Steps to Reproduce:
1.open kate
2.open or create bash script
3.view syntax color
Actual Results:  
see message

Expected Results:  
color syntax ok

i delete all kate files in /home/$USER/.kde4/share/config/ and /home/sl1pkn07/.kde4/share/apps

and reinstall package. still fail

kde 4.9.95
Comment 1 Luiz Angelo De Luca 2012-12-28 04:12:15 UTC
Hello sl1pkn07,

This is a known problem (See bug 311233). I have already posted an alternative patch on the bug report to fix this issue and others. However, I guess no commit-allowed developer appiled it. Either the new patch must be verified and committed before 4.10 or the previous patch must be reverted. Sorry, I have no power over it.
Comment 2 Dominik Haumann 2012-12-28 10:34:15 UTC
Git commit 5c905a445476032d816e4e1db070c3e52a523bda by Dominik Haumann.
Committed on 28/12/2012 at 12:33.
Pushed by dhaumann into branch 'master'.

fix regression of bash version 2.15

Thanks to Luiz Angelo De Luca for the fix!
Does this also fix 312121 and 312274 ?
Related: bug 311233, bug 312121
FIXED-IN: 4.10

M  +62   -29   part/syntax/data/bash.xml

http://commits.kde.org/kate/5c905a445476032d816e4e1db070c3e52a523bda
Comment 3 Dominik Haumann 2012-12-28 10:34:57 UTC
Git commit b9947e0454dbb3b9d11be5a6ffb8331569d8df31 by Dominik Haumann.
Committed on 28/12/2012 at 12:33.
Pushed by dhaumann into branch 'KDE/4.10'.

fix regression of bash version 2.15

Thanks to Luiz Angelo De Luca for the fix!
Does this also fix 312121 and 312274 ?
Related: bug 311233, bug 312121
FIXED-IN: 4.10

M  +62   -29   part/syntax/data/bash.xml

http://commits.kde.org/kate/b9947e0454dbb3b9d11be5a6ffb8331569d8df31
Comment 4 Gustavo Alvarez 2012-12-28 14:42:48 UTC
yes. fixed with https://projects.kde.org/projects/kde/kde-baseapps/kate/repository/revisions/master/changes/part/syntax/data/bash.xml

thanks Luiz Angelo De Luca!

greetings